import { Prize } from './interfaces';
import { TrackedPromiseState } from '../../Helpers/tracked-promise';
export declare class SallaRewardExchange {
    prize: Prize;
    productId: number | null;
    exchange: TrackedPromiseState<any, [number, null, number]>;
    private reset;
    handleConfirm(): Promise<void>;
    handleCancel(): void;
    render(): any;
}
